# This file created by conda-build 3.23.3
# ------------------------------------------------

package:
  name: libabseil
  version: '20220623.0'
source:
  patches:
    - patches/0001-patch-out-the-build-issue-on-clang4-osx.patch
    - patches/0002-fix-for-linking-to-the-CoreFoundation-framework-on-O.patch
    - patches/0003-remove-ignore-4221-from-ABSL_MSVC_LINKOPTS.patch
    - patches/0004-add-missing-osx-workaround.patch
    - patches/0005-alphabetize-ABSL_INTERNAL_DLL_TARGETS.patch
    - patches/0006-avoid-building-static-libs-on-windows-when-BUILD_SHA.patch
    - patches/0007-Compile-all-dependencies-of-the-DLL-with-ABSL_CONSUM.patch
    - patches/0009-add-pkgconfig-metadata-for-shared-windows-builds.patch
  sha256: 4208129b49006089ba1d6710845a45e31c59b0ab6bff9e5788a87f55c5abd602
  url: https://github.com/abseil/abseil-cpp/archive/20220623.0.tar.gz
build:
  number: 6
  run_exports:
    - libabseil =20220623.0=cxx17*
  string: cxx17_h05df665_6
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_11
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.12.7 ha878542_0
    - cmake 3.25.1 h816a3e0_0
    - expat 2.5.0 h27087fc_0
    - gcc_impl_linux-64 11.3.0 hab1b70f_19
    - gcc_linux-64 11.3.0 he6f903b_11
    - gxx_impl_linux-64 11.3.0 hab1b70f_19
    - gxx_linux-64 11.3.0 hc203a17_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.19.3 h08a2579_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libcurl 7.86.0 h2283fc2_1
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-devel_linux-64 11.3.0 h210ce93_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnghttp2 1.47.0 hff17c54_1
    - libsanitizer 11.3.0 h239ccf8_19
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-devel_linux-64 11.3.0 h210ce93_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - ninja 1.11.0 h924138e_0
    - openssl 3.0.7 h0b41bf4_1
    - rhash 1.4.3 h166bdaf_0
    - sysroot_linux-64 2.12 he073ed8_15
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h6239696_4
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libstdcxx-ng 12.2.0 h46fd767_19
  run:
    - libgcc-ng >=12
    - libstdcxx-ng >=12
  run_constrained:
    - abseil-cpp =20220623.0
    - libabseil-static =20220623.0=cxx17*
test:
  commands:
    - test -f $PREFIX/lib/libabsl_flags${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_flags.a
    - pkg-config --print-errors --exact-version "20220623" absl_flags
    - test -f $PREFIX/lib/libabsl_flags_commandlineflag${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_flags_commandlineflag.a
    - pkg-config --print-errors --exact-version "20220623" absl_flags_commandlineflag
    - test -f $PREFIX/lib/libabsl_flags_config${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_flags_config.a
    - pkg-config --print-errors --exact-version "20220623" absl_flags_config
    - test -f $PREFIX/lib/libabsl_flags_marshalling${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_flags_marshalling.a
    - pkg-config --print-errors --exact-version "20220623" absl_flags_marshalling
    - test -f $PREFIX/lib/libabsl_flags_parse${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_flags_parse.a
    - pkg-config --print-errors --exact-version "20220623" absl_flags_parse
    - test -f $PREFIX/lib/libabsl_flags_private_handle_accessor${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_flags_private_handle_accessor.a
    - pkg-config --print-errors --exact-version "20220623" absl_flags_private_handle_accessor
    - test -f $PREFIX/lib/libabsl_flags_program_name${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_flags_program_name.a
    - pkg-config --print-errors --exact-version "20220623" absl_flags_program_name
    - test -f $PREFIX/lib/libabsl_flags_reflection${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_flags_reflection.a
    - pkg-config --print-errors --exact-version "20220623" absl_flags_reflection
    - test -f $PREFIX/lib/libabsl_flags_usage${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_flags_usage.a
    - pkg-config --print-errors --exact-version "20220623" absl_flags_usage
    - test -f $PREFIX/lib/libabsl_base${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_base.a
    - pkg-config --print-errors --exact-version "20220623" absl_base
    - test -f $PREFIX/lib/libabsl_civil_time${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_civil_time.a
    - pkg-config --print-errors --exact-version "20220623" absl_civil_time
    - test -f $PREFIX/lib/libabsl_cord${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_cord.a
    - pkg-config --print-errors --exact-version "20220623" absl_cord
    - test -f $PREFIX/lib/libabsl_cordz_functions${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_cordz_functions.a
    - pkg-config --print-errors --exact-version "20220623" absl_cordz_functions
    - test -f $PREFIX/lib/libabsl_cordz_handle${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_cordz_handle.a
    - pkg-config --print-errors --exact-version "20220623" absl_cordz_handle
    - test -f $PREFIX/lib/libabsl_cordz_info${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_cordz_info.a
    - pkg-config --print-errors --exact-version "20220623" absl_cordz_info
    - test -f $PREFIX/lib/libabsl_cordz_sample_token${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_cordz_sample_token.a
    - pkg-config --print-errors --exact-version "20220623" absl_cordz_sample_token
    - test -f $PREFIX/lib/libabsl_examine_stack${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_examine_stack.a
    - pkg-config --print-errors --exact-version "20220623" absl_examine_stack
    - test -f $PREFIX/lib/libabsl_exponential_biased${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_exponential_biased.a
    - pkg-config --print-errors --exact-version "20220623" absl_exponential_biased
    - test -f $PREFIX/lib/libabsl_failure_signal_handler${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_failure_signal_handler.a
    - pkg-config --print-errors --exact-version "20220623" absl_failure_signal_handler
    - test -f $PREFIX/lib/libabsl_hash${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_hash.a
    - pkg-config --print-errors --exact-version "20220623" absl_hash
    - test -f $PREFIX/lib/libabsl_hashtablez_sampler${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_hashtablez_sampler.a
    - pkg-config --print-errors --exact-version "20220623" absl_hashtablez_sampler
    - test -f $PREFIX/lib/libabsl_int128${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_int128.a
    - pkg-config --print-errors --exact-version "20220623" absl_int128
    - test -f $PREFIX/lib/libabsl_log_severity${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_log_severity.a
    - pkg-config --print-errors --exact-version "20220623" absl_log_severity
    - test -f $PREFIX/lib/libabsl_low_level_hash${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_low_level_hash.a
    - pkg-config --print-errors --exact-version "20220623" absl_low_level_hash
    - test -f $PREFIX/lib/libabsl_periodic_sampler${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_periodic_sampler.a
    - pkg-config --print-errors --exact-version "20220623" absl_periodic_sampler
    - test -f $PREFIX/lib/libabsl_random_distributions${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_random_distributions.a
    - pkg-config --print-errors --exact-version "20220623" absl_random_distributions
    - test -f $PREFIX/lib/libabsl_random_seed_gen_exception${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_random_seed_gen_exception.a
    - pkg-config --print-errors --exact-version "20220623" absl_random_seed_gen_exception
    - test -f $PREFIX/lib/libabsl_random_seed_sequences${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_random_seed_sequences.a
    - pkg-config --print-errors --exact-version "20220623" absl_random_seed_sequences
    - test -f $PREFIX/lib/libabsl_raw_hash_set${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_raw_hash_set.a
    - pkg-config --print-errors --exact-version "20220623" absl_raw_hash_set
    - test -f $PREFIX/lib/libabsl_scoped_set_env${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_scoped_set_env.a
    - pkg-config --print-errors --exact-version "20220623" absl_scoped_set_env
    - test -f $PREFIX/lib/libabsl_spinlock_wait${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_spinlock_wait.a
    - pkg-config --print-errors --exact-version "20220623" absl_spinlock_wait
    - test -f $PREFIX/lib/libabsl_stacktrace${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_stacktrace.a
    - pkg-config --print-errors --exact-version "20220623" absl_stacktrace
    - test -f $PREFIX/lib/libabsl_status${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_status.a
    - pkg-config --print-errors --exact-version "20220623" absl_status
    - test -f $PREFIX/lib/libabsl_statusor${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_statusor.a
    - pkg-config --print-errors --exact-version "20220623" absl_statusor
    - test -f $PREFIX/lib/libabsl_strerror${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_strerror.a
    - pkg-config --print-errors --exact-version "20220623" absl_strerror
    - test -f $PREFIX/lib/libabsl_strings${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_strings.a
    - pkg-config --print-errors --exact-version "20220623" absl_strings
    - test -f $PREFIX/lib/libabsl_symbolize${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_symbolize.a
    - pkg-config --print-errors --exact-version "20220623" absl_symbolize
    - test -f $PREFIX/lib/libabsl_synchronization${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_synchronization.a
    - pkg-config --print-errors --exact-version "20220623" absl_synchronization
    - test -f $PREFIX/lib/libabsl_time${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_time.a
    - pkg-config --print-errors --exact-version "20220623" absl_time
    - test -f $PREFIX/lib/libabsl_time_zone${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libabsl_time_zone.a
    - pkg-config --print-errors --exact-version "20220623" absl_time_zone
    - cd cmake_test
    - export CMAKE_ARGS="$CMAKE_ARGS -GNinja -DCMAKE_BUILD_TYPE=Release"
    - cmake $CMAKE_ARGS  -DCMAKE_CXX_STANDARD=17 .
    - cmake --build .
    - ./flags_example
  files:
    - cmake_test/
  requires:
    - cmake
    - gxx_linux-64 11.*
    - ninja
    - pkg-config
about:
  description: 'Abseil is an open-source collection of C++ code (compliant to C++11)

    designed to augment the C++ standard library.

    '
  dev_url: https://github.com/abseil/abseil-cpp
  doc_url: https://github.com/abseil/abseil-cpp
  home: https://github.com/abseil/abseil-cpp
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Abseil Common Libraries (C++)
extra:
  copy_test_source_files: true
  feedstock-name: abseil-cpp
  final: true
  recipe-maintainers:
    - bluescarni
    - h-vetinari
    - njzjz
    - xhochy
